#include <iostream>
#include <string.h>

using namespace std;

char t[200001];
char p[200001];
char s[15];
int main()
{


    cin >> t;
    cin >> s;

    int i = 0;
    int n;
    n = strlen(t);
    int n2;
    n2 = strlen(s);
    int broj = 0;
    int pom1 = 0;
    int pom2 = 0;
    int br_brisanih = 0;

    if(n < n2){
        printf("0\n");
        cout << t;
        return 0;
    }

    if(n2 == 1 && s[0] == 'a'){

        for(i=0;i<n;i++){
            if(t[i] == 'a'){
                broj++;
                t[i] = '*';
            }
        }

        printf("%i\n",broj);

        cout << t;
        return 0;
    }

    bool flag = true;
    for(i=0;i<n2;i++){
        if(s[i] != 'a'){
            flag = false;
            break;
        }

        pom1++;
    }

    if(flag){
        for(i=0;i<n;i++){
            if(t[i] == 'a'){
                pom2++;
            }
        }


    if(pom1 > pom2){
        printf("0\n");
        cout << t;
    }

    if(pom1 == pom2){
        for(i=0;i<n;i++){
            if(t[i] == 'a'){
                t[i] = '*';
                break;
            }
        }

        printf("%i\n", 1);
        cout << t;
        return 0;
    }
    if(pom1 < pom2){
        for(i=0;i<n;i++){
            if(t[i] == 'a'){

               if((pom2 - br_brisanih) >= pom1){
                    t[i] = '*';
                    br_brisanih++;
                    continue;
               }

            }
        }

        printf("%i\n",br_brisanih);
        cout << t;
        return 0;
    }

    }

    int flag2 = 0;
    int brojac_a = 0;
    int brojac_b = 0;
    int zadnje_b = 0;

    if(n2 == 2 && s[0] == 'a' && s[1] == 'b'){
        for(i=0;i<n;i++){
            if(t[i] == 'a'){
                flag2 = i;
                break;
            }
        }


        for(i=flag2; i < n; i++){
            if(t[i] == 'a'){
                brojac_a++;
            }
            else if(t[i] == 'b'){
                brojac_b++;
                zadnje_b = i;
            }
        }

        if(brojac_a > brojac_b){
            for(i=flag2;i<n;i++){
                if(t[i] == 'b'){
                    t[i] = '*';
                }
            }

            printf("%i\n",brojac_b);
            cout << t;
            return 0;
        }

        else{
            for(i=flag2;i<zadnje_b;i++){
                if(t[i] == 'a'){
                    t[i] = '*';
                    broj++;
                }
            }

            printf("%i\n",broj);
            cout << t;
            return 0;
        }
    }









    return 0;
}